echo off
rem makedisk batch for NetWare files.
rem created 5/6/98
rem last edited 12/17/98
rem minimum requirements MSDOS 6.22 or NT 3.51 or Window 95 or newer

rem Check that source (%1) and destination (%2) are supplied
if "%1" == "" goto USAGE
if "%2" == "" goto USAGE
if not exist %1\SETUP.EXE goto NOSOURCE

rem Echo what we are about to do
echo This batch file will copy the NetWare files from %1 to %2
echo press CTRL-C if this is NOT correct,
echo otherwise,
pause

cls
rem setup paths
set SP=%path%
set path=%path%;%winbootdir%\command;%SystemRoot%\system32;c:\dos
echo.
echo Copying NetWare files from %1 to %2
echo.

:TESTCOPY
xcopy %1\D100DISK %2\
if errorlevel 1 goto nocopy

:makedirs
md %2\DOS
md %2\NWSERVER
xcopy %1\NWSERVER\*.* %2\NWSERVER /S /E /V
md %2\OS2
md %2\INFO
md %2\INFO\GENERAL
md %2\INFO\NETWARE
md %2\INFO\MS
md %2\INFO\OTHER

:copyfile
xcopy %1\README.BAT %2\
copy %1\MAKEDISK\READMENW.LST %2\README.LST
xcopy %1\NOVELL.LST %2\
xcopy %1\MICROSFT.LST %2\
xcopy %1\OTHER.LST %2\
xcopy %1\README.TXT %2\
xcopy %1\SETUP.EXE %2\
xcopy %1\DOS\*.* %2\DOS
xcopy %1\OS2\*.* %2\OS2
xcopy %1\INFO\GENERAL\*.TXT %2\INFO\GENERAL /S /E /V  
xcopy %1\INFO\NETWARE\*.* %2\INFO\NETWARE /S /E /V  
xcopy %1\INFO\MS\*.* %2\INFO\MS /S /E /V  
xcopy %1\INFO\OTHER\*.* %2\INFO\OTHER  /S /E /V  

cls
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100+ LAN Adapter Configuration
echo and Novell Drivers Diskette Release 3.1
goto END

:NOSOURCE
echo.
echo Can not find the files at the source (%1) you specified.
echo Please correct and try again
goto usage

:NOCOPY
echo.
echo Can not copy from %1 to %2.
echo Please check your syntax and try again
goto usage

:usage
echo.
echo usage rules;
echo %0 [source] [destination]
echo.
echo where [source] is the drive letter with the colon and path of the
echo source files (such as D:) and where [destination] is the drive
echo letter with the colon (such as A:)
echo Do not add a trailing backslash (\) to the source or destination path.
echo [destination] is also expected to be formatted media.
echo. 
echo for example:
echo        %0 D: A:
echo.
pause
goto END

:END
rem reset path
if "%SP%" == "" goto FINISH
set path=%SP%
set SP=

:FINISH
