echo off
cls
rem makedisk batch for Microsoft files.
rem created 5/6/98
rem last modified 01/13/99
rem minimum requirements DOS 6.22 or NT 3.51 or Window 95 or newer

rem Check that proper source (%1) and destination (%2) are supplied
if "%1" == "" goto USAGE
if "%2" == "" goto USAGE
if not exist %1\net82557.inf goto NOSOURCE

rem Echo what we are about to do
echo This batch file will copy the Microsoft files from %1 to %2
echo press CTRL-C and answer Y if this is NOT correct,
echo otherwise,
pause

cls
echo.
echo Copying Microsoft files from %1 to %2
echo.

:testcopy
copy %1\net82557.inf %2\
if errorlevel 1 goto NOCOPY

:makedirs
md %2\DOS
md %2\WFW
md %2\INFO  
md %2\INFO\GENERAL
md %2\INFO\MS
md %2\INFO\OTHER
md %2\INFO\NETWARE
if exist %1\IAFT.SYS goto serveronly
goto copyfile

:serveronly
copy %1\IAFT.SYS %2\
copy %1\INFO\MS\MSTEAM.TXT %2\INFO\MS
copy %1\INFO\GENERAL\TEAMING.TXT %2\INFO\GENERAL
goto copyfile

:copyfile
copy %1\8255XDEL.EXE %2\
copy %1\8255XNDI.DLL %2\
copy %1\D100DISK %2\
copy %1\E100B.CAT %2\
copy %1\E100B.DOS %2\
copy %1\E100B.SYS %2\
copy %1\E100BNT.SYS %2\
copy %1\E100BNT5.SYS %2\
copy %1\E100BODI.COM %2\
copy %1\IVLAN.SYS %2\
copy %1\MICROSFT.LST %2\
copy %1\MAKEDISK\NOVELL.LST %2\
copy %1\OEMSETUP.INF %2\
copy %1\OTHER.LST %2\
copy %1\PRODD.SYS %2\
copy %1\PRODD.VXD %2\
copy %1\PROKDDP.SYS %2\
copy %1\PROKDDP.VXD %2\
copy %1\PROMON.EXE %2\
copy %1\PROSETP.CNT %2\
copy %1\PROSETP.CPL %2\
copy %1\PROSETP.HL? %2\
copy %1\README.BAT %2\
copy %1\README.TXT %2\
copy %1\SETUP.EXE %2\
copy %1\WOL558.VXD %2\
copy %1\DOS\PROTOCOL.INI %2\DOS
copy %1\DOS\OEMSETUP.INF %2\DOS
copy %1\DOS\E100BEDS.NIF %2\DOS
copy %1\DOS\E100B.DOS %2\DOS
copy %1\WFW\*.* %2\WFW\*.*
copy %1\MAKEDISK\READMEMS.LST %2\README.LST  
copy %1\INFO\MS\MS.TXT %2\INFO\MS
copy %1\INFO\MS\NTPUSH.TXT %2\INFO\MS
copy %1\INFO\OTHER\OTHER.TXT %2\INFO\OTHER
copy %1\INFO\GENERAL\PCI.TXT %2\INFO\GENERAL
copy %1\INFO\GENERAL\MANAGE.TXT %2\INFO\GENERAL
copy %1\INFO\GENERAL\SHAREIRQ.TXT %2\INFO\GENERAL
copy %1\INFO\GENERAL\MASTENAB.TXT %2\INFO\GENERAL
copy %1\INFO\NETWARE\NWODIDOS.TXT %2\INFO\NETWARE 

cls
echo.
echo.
echo PLEASE LABEL YOUR DISKETTE
echo Intel(R) PRO/100+ LAN Adapter Configuration
echo and Microsoft Drivers Diskette Release 3.1
goto END

:NOSOURCE
echo.
echo Can not find the files at the source (%1) you specified.
echo Please correct and try again
goto usage

:NOCOPY
echo.
echo Can not copy from %1 to %2.
echo Please check your syntax and try again
goto usage

:usage
echo.
echo usage rules;
echo %0 [source] [destination]
echo.
echo where [source] is the drive letter with the colon and path of the
echo source files (such as D:) and where [destination] is the drive
echo letter with the colon (such as A:)
echo Do not add a trailing backslash (\) to the source or destination path.
echo [destination] is also expected to be formatted media.
echo. 
echo for example:
echo        %0 D: A:
echo.
pause
goto END

:END
